Oore CI
ReferenceAPIOperationsPipeline Signing

Update iOS signing config

Upload certificates, provisioning profiles, and API credentials. Request body limit: 10 MiB.

Operation IDupdate_pipeline_ios_signing
PUT
/v1/pipelines/{pipeline_id}/ios-signing

Upload certificates, provisioning profiles, and API credentials. Request body limit: 10 MiB.

Authorization

bearer_auth
AuthorizationBearer <token>

In: header

Path Parameters

pipeline_id*string

Pipeline ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X PUT "https://example.com/v1/pipelines/string/ios-signing" \  -H "Content-Type: application/json" \  -d '{    "mode": "manual"  }'
{  "api_issuer_id": "string",  "api_key_id": "string",  "bundle_ids": [    "string"  ],  "enabled": true,  "export_method": "string",  "has_api_key": true,  "has_p12": true,  "has_p12_password": true,  "mode": "manual",  "p12_expires_at": 0,  "p12_filename": "string",  "p12_fingerprint": "string",  "pipeline_id": "string",  "provisioning_profiles": [    {      "bundle_id": "string",      "checksum": "string",      "expires_at": 0,      "has_profile": true,      "profile_filename": "string",      "profile_name": "string",      "profile_uuid": "string",      "team_id": "string"    }  ],  "team_id": "string",  "updated_at": 0}